name: Deploy Next.js App

on:
  push:
    branches:
      - main

jobs:
  deploy:
    runs-on: linux
    steps:
      - name: Deploy to Server
        run: |
          ssh pablo@palumo.mrmoku.de "cd ~/opt/apps/pablo.shortman.me && git pull && docker compose down && docker compose up -d"
